# file.writeBytes

Writes binary data string to a file

Usage

    file.writeBytes [-a] <filename> <dataArray>

Description

Writes <dataArray> (which must be an array) to the file <filename>.
The array should either contain integers between 0 and 255, which will be written as bytes, or strings, which will be written in utf8 encoding. -a causes the command to append the <data> to the file instead of overwriting the entire file.
The path is adjusted according to the system that KVIrc is running on so you don't have to bother about portability: it *should* be automatically guaranteed. Just use UNIX style paths for them.

Switches

-a | --append
If the file already exists, append the data instead of overwriting the original contents.

Syntax Specification

    file.writeBytes [-a] <filename:string> <dataArray:array>

Examples

        for(%i=0;%i<256;%i++)
            %a[%i] = %i
        file.writeBytes "/home/pragma/test.bin" %a

See also
file.rename, $file.exists, $file.write

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013